root@LEDE:/tmp# cat /etc/ipsec.conf

# /etc/ipsec.conf - strongSwan IPsec configuration file

config setup
    # debug levels
    charondebug="ike 2, knl 2, cfg 2"

conn %default
	ikelifetime=60m
	keylife=20m
	rekeymargin=3m
	keyingtries=1
	keyexchange=ikev1
	authby=secret

# vpn
conn myvpn
    keyexchange=ikev1
    ike=aes256-3des-des-sha1-prfsha1-modp1024!
    esp=aes256-sha1
    right=172.31.3.1
    rightid=172.31.3.1
    rightsubnet=192.168.5.0/24
    left=%any
    leftid=%any
    leftsubnet=10.5.1.0/30
    auto=add
    authby=psk
    # aggressive=yes
    # dpdaction=clear
    ikelifetime=3600s
    lifetime=3600s
    lifebytes=1843200
